| Home | Libraries | People | FAQ | More

## Class weeks_duration

boost::gregorian::weeks_duration

## Synopsis

    // In header: <boost/date_time/gregorian/greg_duration_types.hpp>

    class weeks_duration : public boost::gregorian::date_duration {
    public:
      // construct/copy/destruct
      weeks_duration(duration_rep);
      weeks_duration(date_time::special_values);
    };

## Description

### `weeks_duration` public construct/copy/destruct

1.     weeks_duration(duration_rep w);

2.     weeks_duration(date_time::special_values sv);